# Don't be fooled. This isn't something you want to import into your project.
# This validates our gitlab-ci-shared library of jobs.

include:  # This include serves as a test to ensure no additional stages are created and all syntax is valid.
  - local: 'terraform-full.yml' 

stages:
  - test

verify yaml:
  only: [branches, tags, merge_requests]
  stage: test
  image: python:3.7-alpine3.10
  script:
    - pip3 install PyYAML
    - find . -name '*.yml' -print0 | xargs -0 -n1 python3 -c 'import yaml, sys; yaml.safe_load(open(sys.argv[1], "r"))'
